# Interface EclipseExternalDependency

All Superinterfaces:
  `Dependency, EclipseClasspathEntry, ExternalDependency`

@Incubating public interface EclipseExternalDependency extends ExternalDependency, EclipseClasspathEntry
Represents an Eclipse-specific external artifact dependency.

Since:
  2.14

## Method Summary

### Methods inherited from interface EclipseClasspathEntry

`getAccessRules, getClasspathAttributes`

### Methods inherited from interface ExternalDependency

`getFile, getGradleModuleVersion, getJavadoc, getSource, isExported`